Skip to main content

Topics

GET 

/resource/ai/topics

Retrieve your brand's AI Visibility topics: the groups its prompts are organized in.

Use a topic id as the topicId param of the other AI Visibility endpoints. Topics are sorted by name. For each topic:

  • promptCount: number of active prompts in the topic.
  • keywordCount: number of tracked search keywords in the topic.
  • volume: Google search demand for the topic: avgMonthlySearches, competition (low, medium or high) and competitionIndex (0-100). null values when it hasn't been measured.
  • location: the country the topic's prompts are run for. null when the topic uses the brand's default.

Calling this endpoint does not consume credits.

Request​

Responses​

Success